Skip to main content
PATCH
/
v0
/
subscriptions
/
{subscriptionIdOrNumber}
/
cancel
Cancel Subscription
curl --request PATCH \
  --url https://api.fungies.io/v0/subscriptions/{subscriptionIdOrNumber}/cancel \
  --header 'Content-Type: application/json' \
  --header 'x-fngs-public-key: <api-key>' \
  --header 'x-fngs-secret-key: <api-key>' \
  --data '
{
  "cancelAtIntervalEnd": false,
  "cancelOption": "immediately"
}
'
import requests

url = "https://api.fungies.io/v0/subscriptions/{subscriptionIdOrNumber}/cancel"

payload = {
"cancelAtIntervalEnd": False,
"cancelOption": "immediately"
}
headers = {
"x-fngs-public-key": "<api-key>",
"x-fngs-secret-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {
'x-fngs-public-key': '<api-key>',
'x-fngs-secret-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({cancelAtIntervalEnd: false, cancelOption: 'immediately'})
};

fetch('https://api.fungies.io/v0/subscriptions/{subscriptionIdOrNumber}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "<string>",
  "data": {
    "success": true
  }
}
{
"status": "error",
"error": {
"message": "Sample error message"
}
}

Authorizations

x-fngs-public-key
string
header
required
x-fngs-secret-key
string
header
required

Path Parameters

subscriptionIdOrNumber
string
required

Subscription ID or order number

Pattern: ^#?([0-9A-Za-z]{12,32}|[0-9]+)(-[0-9]+)?$

Body

application/json

PATCH /v0/subscriptions/:subscriptionIdOrNumber/cancel Request body

cancelAtIntervalEnd
boolean
default:false

Whether to cancel the Subscription at the end of the current billing period: - false: Cancel immediately (default) - true: Cancel at the end of current billing period

cancelOption
enum<string>
default:immediately
Available options:
immediately,
endInterval

Response

PATCH /v0/subscriptions/:subscriptionIdOrNumber/cancel Positive response

status
string
required
Allowed value: "success"
data
object
required